AutoCAD Architecture Customization
Welcome to Autodesk’s AutoCAD Architecture Customization Forums. Share your knowledge, ask questions, and explore popular AutoCAD Architecture Customization topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Lisp problems Entity Data not all there from Architecture 2007 to 2012

2 REPLIES 2
Reply
Message 1 of 3
dprice75
566 Views, 2 Replies

Lisp problems Entity Data not all there from Architecture 2007 to 2012

I only know LISP (not VBA, .net or other languages) and there seems to be a lot of data I don't see anymore when trying to get from entities.  I need this data for some of my programs to run & without them it's like a step back instead of forward, as far as up-dating from 2007 to 2012.

 

Example: Using this code:

 

(entget (cdr (assoc 341 ed1)))

 

 In 2007 I get this much data:

 

((-1 . <Entity name: -5f82a8>) (0 . "AEC_MVBLOCK_REF") (330 . <Entity name:
-119308>) (5 . "2246EB") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
"DWV") (62 . 4) (6 . "ByBlock") (100 . "AecDbEntity") (102 . "{AEC_SUBOBJECT")
(300 . "AecImpMvBlockRef") (100 . "AecImpObj") (3 . "") (100 . "AecImpEnt")
(171 . 0) (100 . "AecImpGeo") (10 1978.0 5.0 -2.79484) (15 3.06154e-016 1.0
0.0) (16 -1.0 3.06154e-016 0.0) (210 0.0 0.0 1.0) (360 . <Entity name: 0>) (100
. "AecImpBlockRef") (341 . <Entity name: -5fb328>) (15 1.0 1.0 1.0) (100 .
"AecImpMvBlockRef") (102 . "{AEC_DISP_REPBLOCK_INSTANCES") (100 . "AecImpObj")
(3 . "") (100 . "AecImpArray") (90 . 1) (102 . "{AEC_SUBOBJECT") (300 .
"AecMvBlockViewInstance") (100 . "AecImpObj") (3 . "") (100 .
"AecMvBlockViewInstance") (341 . <Entity name: -116eb8>) (15 0.0 0.0 0.0) (102
. "{AEC_ATTRIBUTES") (100 . "AecImpObj") (3 . "") (100 . "AecImpArray") (90 .
0) (102 . "AEC_ATTRIBUTES}") (102 . "AEC_SUBOBJECT}") (102 .
"AEC_DISP_REPBLOCK_INSTANCES}") (102 . "AEC_SUBOBJECT}") (102 .
"{AEC_SUBOBJECT") (300 . "AecImpArray") (100 . "AecImpObj") (3 . "") (100 .
"AecImpArray") (90 . 1) (102 . "{AEC_SUBOBJECT") (300 .
"AecOverrideCanBoundSpaces") (100 . "AecImpObj") (3 . "") (100 . "AecOverride")
(100 . "AecOverrideCanBoundSpaces") (102 . "AEC_SUBOBJECT}") (102 .
"AEC_SUBOBJECT}") (100 . "AecDbGeo") (100 . "AecDbBlockRef") (100 .
"AecDbMvBlockRef"))

 

In 2012 I only get this much:

 

((-1 . <Entity name: 7fffec466e0>) (0 . "AEC_MVBLOCK_REF") (330 . <Entity name:
7fffe21f9f0>) (5 . "1EFA36") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
"DWV") (62 . 6) (6 . "ByBlock"))

 

Is there a way to get the rest of it?  I'm not the brightest programmer, btw.  Any help is appreciated!

 

Thanks,


Dan Price

2 REPLIES 2
Message 2 of 3
mdhutchinson
in reply to: dprice75

yep... autodesk made the decision to take this away... cuts down on the overhead I suppose. You can do activeX in lisp...

 

(vlax-dump-object (vlax-ename->vla-object (car (nentsel))) t)

 

you can use this line of code to see what functions you can leverage from the selected object.

Message 3 of 3
dprice75
in reply to: mdhutchinson

Thanks for the info.  This is a neat tool & lists the info in the object (below) but only returns "T".  Do you have any idea how I can capture the text so that I can go through it ad dig out the info I am looking for?

 

I REALLY appreciate the help, BTW, Thanks!

 

 

Select object: ; IAecsMember: Structural Member object.
; Property values:
; Application (RO) = #<VLA-OBJECT IAcadApplication 0000000141027198>
; BoundSpaces = 2
; ComponentsExtents = 0
; ConnectionNodes (RO) = #<VLA-OBJECT IAecsConnectionNodes 000000004240f000>
; CrossSectionExtents = 0
; Description = ""
; Document (RO) = #<VLA-OBJECT IAcadDocument 000000000b8124e0>
; EndOffset = 0.0
; EndPoint = (-775.125 86.0958 8.56461)
; Handle (RO) = "1C04C7"
; HasExtensionDictionary (RO) = 0
; Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 000000004275d288>
; Justify = 5
; Layer = "DWV"
; Length = 39.4375
; Linetype = "ByBlock"
; LinetypeScale = 1.0
; Lineweight = -1
; Location = (-775.125 125.533 8.56461)
; Material = "ByLayer"
; Normal = (0.0 4.50423e-017 1.0)
; ObjectID (RO) = 44
; ObjectID32 (RO) = 44
; ObjectName (RO) = "AecsDbMember"
; OwnerID (RO) = 43
; OwnerID32 (RO) = 43
; PlotStyleName = "Color_6"
; Radius = Exception occurred
; Roll = 0.0
; Rotation = 4.71239
; ShadowDisplay = 0
; StartOffset = 0.0
; StartPoint = (-775.125 125.533 8.56461)
; Style = #<VLA-OBJECT IAecsMemberStyle 0000000004583ca0>
; StyleName = "DWV 3"
; TrueColor = #<VLA-OBJECT IAcadAcCmColor 000000004275ef00>
; Type = 0
; Visible = -1
T

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost